- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logProcessingPipelines/testPipeline#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logProcessingPipelines/testPipeline#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logProcessingPipelines/testPipeline#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logProcessingPipelines/testPipeline#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logProcessingPipelines/testPipeline#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logProcessingPipelines/testPipeline#body.TestPipelineResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logProcessingPipelines/testPipeline#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logProcessingPipelines/testPipeline#body.aspect_1)

**Full name**: projects.locations.instances.logProcessingPipelines.testPipeline

logProcessingPipelines.testPipeline previews processed logs for a given log processing pipeline for a given input sample logs.

### HTTP request

`POST https://{endpoint}/v1alpha/{parent}/logProcessingPipelines:testPipeline`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource of the pipeline to preview processed logs for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "logProcessingPipeline": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logProcessingPipelines#LogProcessingPipeline`) }, "inputLogs": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.logs#Log`) } ] } ``` |

| Fields ||
|---|---|
| `logProcessingPipeline` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logProcessingPipelines#LogProcessingPipeline`)`` Required. The LogProcessingPipeline to test. |
| `inputLogs[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.logs#Log`)`` Required. The logs to preview processed logs for. These are the logs that will be sent to the pipeline for processing. |

### Response body

Response message for logProcessingPipelines.testPipeline.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "logs": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.logs#Log`) } ] } ``` |

| Fields ||
|---|---|
| `logs[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.logTypes.logs#Log`)`` Resultant, processed logs after execution of log processing pipeline. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.logProcessingPipelines.testPipeline`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).